"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var query_string_1 = require("query-string");
var react_1 = tslib_1.__importDefault(require("react"));
var context_1 = require("../context");
var ReCaptchaProvider = /** @class */ (function (_super) {
    tslib_1.__extends(ReCaptchaProvider, _super);
    function ReCaptchaProvider() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.loadCallbackGlobalName = "__" + Math.random().toString(36).substr(2);
        _this.state = {
            providerValue: {
                defaultLanguage: _this.props.defaultLanguage,
                status: context_1.Status.Uninitialized,
            },
        };
        _this.loadHandler = function () {
            _this.setState({
                providerValue: tslib_1.__assign({}, _this.state.providerValue, { status: context_1.Status.Loaded }),
            });
        };
        _this.errorHandler = function () {
            _this.setState({
                providerValue: tslib_1.__assign({}, _this.state.providerValue, { status: context_1.Status.Error }),
            });
        };
        return _this;
    }
    ReCaptchaProvider.prototype.componentDidMount = function () {
        var _a = this.props.defaultLanguage, defaultLanguage = _a === void 0 ? "en" : _a;
        var script = document.createElement("script");
        // @ts-ignore
        window[this.loadCallbackGlobalName] = this.loadHandler;
        var params = query_string_1.stringify({
            hl: defaultLanguage,
            onload: this.loadCallbackGlobalName,
            render: "explicit",
        });
        Object.assign(script, {
            async: true,
            onerror: this.errorHandler,
            src: "https://www.google.com/recaptcha/api.js?" + params,
        });
        document.head.appendChild(script);
        this.setState({
            providerValue: tslib_1.__assign({}, this.state.providerValue, { status: context_1.Status.Loading }),
        });
    };
    ReCaptchaProvider.prototype.render = function () {
        return (react_1.default.createElement(context_1.Provider, { value: this.state.providerValue }, this.props.children));
    };
    return ReCaptchaProvider;
}(react_1.default.Component));
exports.default = ReCaptchaProvider;
//# sourceMappingURL=index.js.map