/// <reference types="grecaptcha" />
import React from "react";
import { Omit } from "type-zoo";
export declare type RenameProp<T, A extends keyof T, B extends string> = Record<B, Pick<T, A>[A]>;
export declare type ReCaptchaProps = (Omit<ReCaptchaV2.Parameters, "error-callback" | "expired-callback" | "callback" | "isolated"> & Partial<(RenameProp<ReCaptchaV2.Parameters, "callback", "onSuccess"> & RenameProp<ReCaptchaV2.Parameters, "error-callback", "onError"> & RenameProp<ReCaptchaV2.Parameters, "expired-callback", "onExpired">)> & {
    hl?: string;
});
export declare type ReCaptchaAPI = (Record<Exclude<keyof ReCaptchaV2.ReCaptcha, "getResponse" | "render">, () => void> & {
    ready: boolean;
    getResponse(): ReturnType<Pick<ReCaptchaV2.ReCaptcha, "getResponse">["getResponse"]>;
});
export declare type ReCaptchaComponentClass<T extends ReCaptchaProps = ReCaptchaProps> = React.ComponentClass<T> & {
    new (...args: any[]): React.Component<T> & ReCaptchaAPI;
};
declare const _default: ReCaptchaComponentClass<Pick<ReCaptchaV2.Parameters, "size" | "sitekey" | "theme" | "type" | "tabindex" | "badge"> & Partial<Record<"onSuccess", ((response: string) => void) | undefined> & Record<"onError", (() => void) | undefined> & Record<"onExpired", (() => void) | undefined>> & {
    hl?: string | undefined;
}>;
export default _default;
